﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Airlines.Repository.Entities;

[Table("Flight")]
public partial class Flight
{
    [Key]
    [StringLength(5)]
    [Unicode(false)]
    public string FlightNumber { get; set; }

    public int FlightID { get; set; }

    [Required]
    [StringLength(3)]
    [Unicode(false)]
    public string DepartureAirport { get; set; }

    [Required]
    [StringLength(3)]
    [Unicode(false)]
    public string ArrivalAirport { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime DepartureDateTime { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime ArrivalDateTime { get; set; }

    [ForeignKey("ArrivalAirport")]
    [InverseProperty("FlightArrivalAirportNavigations")]
    public virtual Airport ArrivalAirportNavigation { get; set; }

    [ForeignKey("DepartureAirport")]
    [InverseProperty("FlightDepartureAirportNavigations")]
    public virtual Airport DepartureAirportNavigation { get; set; }
}